:root {
  --primary-color: #748284;
  --secondary-color: #161a30;
  --bg-color: #d0c6c9 linear-gradient(0deg, #f7dfe7 0%, #e4f4f3 100%);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
  transition-duration: 200ms;
}

body {
  background: var(--bg-color);
  color: var(--primary-color);
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  gap: 100px;
  padding: 14px;
}

.darkerText {
  color: var(--secondary-color);
}

header,
main,
footer {
  max-width: 700px;
  margin: 10px auto;
  padding: 20px;
  width: 100%;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.3);
  background: rgba(255, 255, 255, 0.2);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.3);
}

p {
  font-size: 1em;
}

header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 14px;
}

nav {
  color: var(--secondary-color);
  display: flex;
  align-items: center;
  gap: 32px;
}

nav a {
  cursor: pointer;
  text-decoration: none;
}

nav a:hover {
  opacity: 0.7;
}

main,
section,
.nameContainer {
  display: flex;
  flex-direction: column;
}
.nameContainer h1 {
  color: var(--secondary-color);
}
main {
  gap: 64px;
  padding-bottom: 64px;
}

section {
  gap: 48px;
}

.nameContainer {
  gap: 8px;
}

.statsContainer {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 24px;
}

.imgContainer {
  max-width: 114px;
}

.imgContainer img {
  width: 100%;
  aspect-ratio: 1/1;
  border-radius: 100%;
}

.stats {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.stats > div {
  flex: 1;
  display: flex;
  align-items: center;
  gap: 8px;
}

.stats div i {
  font-size: 1.4em;
}

.stats div div {
  display: grid;
  place-items: center;
  min-width: 40px;
}

.aboutMe {
  line-height: 1.5em;
}

.outreach {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  width: fit-content;
  margin-right: auto;
}
a {
  color: var(--primary-color);
  text-decoration: none;
}
.outreach:hover {
  opacity: 0.7;
}

.projectContainer {
  display: flex;
  flex-direction: column;
  gap: 48px;
}

.headerText {
  margin-bottom: 10px;
  font-weight: 500;
  font-size: larger;
}

.projectItem {
  display: flex;
  align-items: stretch;
  gap: 24px;
}

.projectItem div:first-child {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.projectItem > div:last-child {
  aspect-ratio: 16/9;
  max-width: 30%;
}

.projectItem > div:last-child img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px;
}

.linkContainer {
  display: flex;
  align-items: center;
  gap: 24px;
}

.linkItem {
  display: flex;
  flex-direction: row !important;
  align-items: center;
  gap: 14px !important;
  color: var(--primary-color);
  text-decoration: none;
  cursor: pointer;
}

.linkItem:hover {
  opacity: 0.7;
}

.linkItem p {
  font-size: 0.9em;
}

@media (min-width: 640px) {
  .statsContainer {
    flex-direction: row;
  }

  .stats {
    gap: 0px;
  }

  .aboutMe {
    width: 80%;
    margin-right: auto;
  }
}
